Skip to main content
POST
Create a recurring series

Authorizations

Authorization
string
header
required

An access token (at_test_… or at_live_…) from POST https://idp.talescria.com/oauth/token.

Headers

Idempotency-Key
string
required

A unique key for this operation. Send the same key when you retry it. Kept for 24 hours.

Required string length: 8 - 255
Pattern: ^[A-Za-z0-9_\-:.]+$

Body

application/json
accountId
string
required
customerId
string
required
frequency
enum<string>
required
Available options:
weekly,
biweekly,
monthly,
quarterly
startDate
string<date>
required
dueDays
integer
required
Required range: 0 <= x <= 365
notify
boolean
required

Email each issue to the customer.

template
object
required
endDate
string<date>

Response

The series, and today's invoice when it started today.

series
object
invoice
object | null